local elfLogic = require("elf.ElfLogic")

-- 请求某个品质的所有精灵的简单数据
function CG_ELF_SIMPLEDATA_QUERY(human,msg)
	elfLogic.Elf_SimpleData_Query(human, msg.elfQuality)
end


function CG_ELF_SINGLE_QUERY(human,msg)
	elfLogic.Elf_SingleElf_Query(human, msg.elfId)
end


function CG_ELF_UPGRADE_LV(human,msg)
	elfLogic.Elf_UpGradeLv(human, msg.elfId, msg.opType)
end

function CG_ELF_UPGRADE_STAR(human,msg)
	elfLogic.Elf_UpGradeStar(human, msg.elfId)
end

function CG_ELF_POS_QUERY(human,msg)
	elfLogic.Elf_GetElfData_FromPosPage(human, msg.elfQuality)
end